import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:spotifyplaylistgenerator/ui/pages/playlist.dart';
import 'package:spotifyplaylistgenerator/ui/pages/home.dart';

class ActivityPageItem {
  final Icon icon;
  final Widget page;
  final String code;

  const ActivityPageItem({
    required this.icon,
    required this.page,
    required this.code,
  });
}

class ActivityPage {
  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    icon: Icon(UniconsLine.home),
    page: PageHome(),
    code: 'page_home',
  );

  static const indexPlaylist = 1;
  static const pagePlaylist = ActivityPageItem(
    icon: Icon(UniconsLine.list_ul),
    page: PagePlaylist(),
    code: 'page_playlist',
  );

  static Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexPlaylist: pagePlaylist,
  };

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static ActivityPageItem getPageItem(int pageIndex) {
    return items[pageIndex] ?? pageHome;
  }

  static Widget getPageWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }

  static int itemsCount = ActivityPage.items.length;
}
